Sehat_COVID-19/urls.py
from django.contrib import admin
from django.urls import include, path
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('hospital/', include('hospital.urls')),
    path('datars/', include('datars.urls')),
    path('pasiennonrawat/', include('pasien_nonrawat.urls')),
    path('pasienrawat/', include('pasien_rawat.urls')),
    path('', include('authentications.urls')),
    path('', include('django.contrib.auth.urls'))

] + static(settings.MEDIA_URL, document_root = settings.MEDIA_ROOT)

hospital/urls.py
from django.conf.urls import url
from django.urls import path
from .views import *

app_name = 'hospital'

urlpatterns = [
	path('', index, name = 'hospital-index'),
	path('rspasienrawat/', rspasienrawat, name = 'hospital-rspasienrawat'),
	path('getrspasienrawat/', getrspasienrawat, name = 'hospital-getrspasienrawat'),
	path('rspasienrawat/<str:nama_rs>/daftarpasien/', daftarpasienrawat, name = 'hospital-daftarpasienrawat'),
	path('rspasienrawat/<str:nama_rs>/daftarpasien/getdaftarpasien', getdaftarpasienrawat, name = 'hospital-getdaftarpasienrawat'),
	
	path('rspasienperiksa/', rspasienperiksa, name= 'hospital-rspasienperiksa'),
	path('getrspasienperiksa/', getrspasienrawat, name = 'hospital-getrspasienrawat'),
	path('rspasienperiksa/<str:nama_rs>/daftarpasien/', daftarpasienperiksa, name= 'hospital-daftarpasienperiksa'),
	path('rspasienrawat/<str:nama_rs>/daftarpasien/getdaftarpasien', getdaftarpasienrawat, name = 'hospital-getdaftarpasienrawat'),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='main-home'),
    path('save',views.save),
    path('testiform', views.testiform, name='testiform'),
    path('testiform_acc', views.testiform_acc, name='testiform_acc')
    
]

hospital/models.py
from django.db import models

# Create your models here.

hospital/views.py
from django.shortcuts import render, redirect
from pasien_rawat.models import PasienRawat
from pasien_nonrawat.models import PatientNonRawat
from django.http import JsonResponse, HttpResponseRedirect
from django.core import serializers
from django.contrib.auth.decorators import login_required
from authentications.decorators import allowed

# Create your views here.
@login_required(login_url='/login')
@allowed(roles=['Hospital'])
def index(request):
    context = {}
    return render(request, 'hospital/hospital.html', context)

@login_required(login_url='/login')
@allowed(roles=['Hospital'])
def rspasienrawat(request):    
    return render(request, 'hospital/rspasienrawat.html', context = {})

@login_required(login_url='/login')
@allowed(roles=['Hospital'])
def getrspasienrawat(request):
    if request.is_ajax and request.method == 'GET':
        semua_pasien = PasienRawat.objects.all()
        list_nama_rs = []
        for pasien in semua_pasien:
            if pasien.nama_rumah_sakit.capitalize() not in list_nama_rs:
                list_nama_rs.append(pasien.nama_rumah_sakit.capitalize())
        context = {
            'list_nama_rs' : list_nama_rs
        }
        return JsonResponse(context)
    else:
        return JsonResponse({}, status = 400)

@login_required(login_url='/login')
@allowed(roles=['Hospital'])
def daftarpasienrawat(request, nama_rs):
    if(nama_rs.capitalize() == request.user.first_name.capitalize()):
        return render(request, 'hospital/daftarpasienrawat.html', context = {})
    else:
        return render(request, 'hospital/rsnotallowed.html', {'pasien_rawat' : True})

@login_required(login_url='/login')
@allowed(roles=['Hospital'])
def getdaftarpasienrawat(request, nama_rs):
    if request.is_ajax and request.method == "GET":
        semua_pasien = PasienRawat.objects.all()
        pasiennya_nama_rs = []
        for pasien in semua_pasien:
            if pasien.nama_rumah_sakit.capitalize() == nama_rs:
                pasiennya_nama_rs.append(
                    {   
                        "nama"              :   pasien.nama,
                        "nomor_telepon"     :   pasien.nomor_telepon,
                        "alamat"            :   pasien.alamat,
                        "nama_rumah_sakit"  :   pasien.nama_rumah_sakit,
                        "base64_doc"        :   pasien.base64_doc
                    }
                )
        context = {
            'pasiennya_nama_rs' : pasiennya_nama_rs
        }
        return JsonResponse(context)
    else:
        return JsonResponse({}, status = 400)



@login_required(login_url='/login')
@allowed(roles=['Hospital'])
def rspasienperiksa(request):
    return render(request, 'hospital/rspasienperiksa.html', context = {})

@login_required(login_url='/login')
@allowed(roles=['Hospital'])
def getrspasienperiksa(request):
    if request.is_ajax and request.method == 'GET':
        all_patient = PatientNonRawat.objects.all()
        hospital_list = []
        for patient in all_patient:
            if patient.hospital_name.capitalize() not in hospital_list:
                hospital_list.append(patient.hospital_name.capitalize())
        context = {
            'list_nama_rs' : hospital_list
        }
        return JsonResponse(context)
    else:
        return JsonResponse({}, status = 400)

@login_required(login_url='/login')
@allowed(roles=['Hospital'])
def daftarpasienperiksa(request, hospital):
    if(hospital.capitalize() == request.user.first_name.capitalize()):
        return render(request, 'hospital/daftarpasienperiksa.html', context = {})
    else:
        return render(request, 'hospital/rsnotallowed.html', {'pasien_rawat' : False})

@login_required(login_url='/login')
@allowed(roles=['Hospital'])
def getdaftarpasienperiksa(request, nama_rs):
    if request.is_ajax and request.method == "GET":
        all_patient = PatientNonRawat.objects.all()
        hospital_patient = []
        for patient in all_patient:
            if patient.hospital_name.capitalize() == nama_rs:
                hospital_patient.append(
                    {   
                        "patient_name"      :   patient.patient_name,
                        "patient_phone"     :   patient.patient_phone,
                        "patient_address"   :   patient.patient_address,
                        "hospital_name"     :   patient.hospital_name,
                        "symptoms"          :   patient.symptoms
                    }
                )
        context = {
            'pasiennya_nama_rs' : hospital_patient
        }
        return JsonResponse(context)
    else:
        return JsonResponse({}, status = 400)

hospital/templates/hospital/daftarpasienperiksa.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <link rel="stylesheet" type="text/css" href="{% static 'hospital/style.css' %}" />
    <title>Daftar Pasien Pemeriksaan</title>
{% endblock meta %}

{% block content %}
<div class = "d-flex flex-column justify-content-center align-items-center">
    <p id = "daftar-title" class = "montserrat-regular large-font margin-top-4">Daftar pasien pemeriksaan</p>
    <div class = "full-size padding-4">
        <button style = "background: none; border: 0px; margin-bottom: 2%">
            <a href="{% url 'hospital:hospital-rspasienperiksa' %}">
                <img src="{% static "hospital/svg/back.svg" %}" alt="Back button">
            </a>
        </button>
        {% if pasiennya_nama_rs %}
            {% for pasien in pasiennya_nama_rs %}
            <table id = "table" class = "full-size margin-top-2">
                <tr class = "tabel-border color-1">
                    <th>
                        <p id = "desc-text" class = "montserrat-regular medium-font padding-1 margin-left-4">Pasien</p>
                    </th>
                    <th></th>
                </tr>
                <tr>
                    <th class = "tabel-border" style = "width: 50%">
                        <p id = "desc-text" class = "montserrat-regular medium-font padding-half margin-left-4">Nama</p>
                    </th>
                    <th class = "tabel-border" style = "width: 50%">
                        <p id = "desc-text" class = "montserrat-regular medium-font padding-half margin-left-4">{{ pasien.patient_name }}</p>
                    </th>
                </tr>
                <tr>
                    <th class = "tabel-border" style = "width: 50%">
                        <p id = "desc-text" class = "montserrat-regular medium-font padding-half margin-left-4">No telepon / HP</p>
                    </th>
                    <th class = "tabel-border" style = "width: 50%">
                        <p id = "desc-text" class = "montserrat-regular medium-font padding-half margin-left-4">{{ pasien.patient_phone }}</p>
                    </th>
                </tr>
                <tr>
                    <th class = "tabel-border" style = "width: 50%">
                        <p id = "desc-text" class = "montserrat-regular medium-font padding-half margin-left-4">Alamat</p>
                    </th>
                    <th class = "tabel-border" style = "width: 50%">
                        <p id = "desc-text" class = "montserrat-regular medium-font padding-half margin-left-4">{{ pasien.patient_address }}</p>
                    </th>
                </tr>
                <tr>
                    <th class = "tabel-border" style = "width: 50%">
                        <p id = "desc-text" class = "montserrat-regular medium-font padding-half margin-left-4">Gejala</p>
                    </th>
                    <th class = "tabel-border" style = "width: 50%">
                        <p id = "desc-text" class = "montserrat-regular medium-font padding-half margin-left-4">{{ pasien.symptoms }}</p>
                    </th>
                </tr>
            </table>
            {% endfor %}
        {% endif %}
    </div>
</div>
{% endblock content %}

hospital/templates/hospital/daftarpasienrawat.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <link rel="stylesheet" type="text/css" href="{% static 'hospital/style.css' %}" />
    <title>Daftar Pasien Rawat</title>
{% endblock meta %}

{% block content %}
<div class = "d-flex flex-column justify-content-center align-items-center">
    <p id = "daftar-title" class = "montserrat-regular large-font margin-top-4">Daftar pasien rawat</p>
    <div class = "full-size padding-4">
        <button class = "margin-bottom-2" style = "background: none; border: 0px">
            <a href="{% url 'hospital:hospital-rspasienrawat' %}">
                <img class = "js-back-button" src = "/static/hospital/svg/back.svg" alt="Back button">
            </a>
        </button>
        <div class = 'js-list-nama-pasien'>
        </div>
    </div>
</div>
{% endblock content %}

{% block javascript %}
    <script src = "{% static 'hospital/daftarpasienrawat.js' %}"></script>
{% endblock javascript %}

hospital/templates/hospital/rsnotallowed.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <title>Register</title>
{% endblock meta %}

{% block content %}
  <div class = "d-flex flex-column full-size justify-content-center align-items-center padding-3 text-center" style = "height: 100%">
    <p class = "montserrat-bold large-font margin-top-2">Maaf</p>
    <p class = "montserrat-medium medium-font margin-top-2">Anda tidak dapat melihat data pasien RS lain</p>
    {% if pasien_rawat %}
    <a href="{% url 'hospital:hospital-rspasienrawat' %}" class = "margin-top-2">
      <button class="btn btn-outline-info">Back</button>
    </a>
    {% else %}
    <a href="{% url 'hospital:hospital-rspasienperiksa' %}" class = "margin-top-2">
      <button class="btn btn-outline-info">Back</button>
    </a>
    {% endif %}
  </div>
{% endblock content %}

hospital/templates/hospital/rspasienperiksa.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <link rel="stylesheet" type="text/css" href="{% static 'hospital/style.css' %}" />
    <title>RS Pasien Pemeriksaan</title>
{% endblock meta %}

{% block content %}
<div class = "d-flex flex-column justify-content-center align-items-center">
    <p id = "rs-title" class = "montserrat-regular large-font text-center margin-top-4">List rumah sakit<br />pasien pemeriksaan</p>
    <div class = "d-flex flex-column full-size padding-4">
        <div id = "grey" class = "color-0 padding-half">
            <div class = "color-2">
                <p class = "montserrat-medium medium-font padding-2 margin-left-1">Daftar rumah sakit</p>
            </div>
            <div class = 'js-hospital-list'>
            </div>
        </div>
    </div>
</div>
{% endblock content %}

{% block javascript %}
    <script src = "{% static 'hospital/rspasienperiksa.js' %}"></script>
{% endblock javascript %}

hospital/templates/hospital/rspasienrawat.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <link rel="stylesheet" type="text/css" href="{% static 'hospital/style.css' %}" />
    <title>RS Pasien Rawat</title>
{% endblock meta %}

{% block content %}
<div class = "d-flex flex-column justify-content-center align-items-center">
    <p id = "rs-title" class = "montserrat-regular large-font text-center margin-top-4">List rumah sakit<br />pasien rawat</p>
    <div class = "d-flex flex-column full-size padding-4">
        <div id = "grey" class = "color-0 padding-half">
            <div class = "color-2">
                <p class = "montserrat-medium medium-font padding-2 margin-left-1">Daftar rumah sakit</p>
            </div>
            <div class = 'js-list-nama-rs'>
            </div>
        </div>
    </div>
</div>
{% endblock content %}


{% block javascript %}
    <script src = "{% static 'hospital/rspasienrawat.js' %}"></script>
{% endblock javascript %}